/* Include the SDL main definition header */
#include "SDL_main.h"
#undef main

/* Standard includes */
#include <stdio.h>

/* SDL includes */
#include "../../video/wii/SDL_wiivideo.h"

/* OGC includes */
#include <gccore.h>
#include <fat.h>
#include <wiiuse/wpad.h>

bool TerminateRequested=false, ShutdownRequested=false, ResetRequested=false;

#ifdef HW_RVL
void SDL_Quit();
static void ShutdownCB()
{
	TerminateRequested = 1;
	ShutdownRequested = 1;
}
static void ResetCB()
{
	TerminateRequested = 1;
	ResetRequested = 1;
}
void ShutdownWii()
{
	TerminateRequested = 0;
	SDL_Quit();
	SYS_ResetSystem(SYS_POWEROFF);
}
void RestartHomebrewChannel()
{
	TerminateRequested = 0;
	SDL_Quit();
	exit(1);
}
void Terminate()
{
	if (ShutdownRequested) ShutdownWii();
	else if (ResetRequested) RestartHomebrewChannel();
}
#endif

/* Do initialisation which has to be done first for the console to work */
/* Entry point */
int main(int argc, char *argv[])
{
	CON_EnableGecko(EXI_CHANNEL_1, TRUE);
	WII_InitVideoSystem();
	PAD_Init();
#ifdef HW_RVL
	SYS_SetPowerCallback(ShutdownCB);
	SYS_SetResetCallback(ResetCB);
	WPAD_Init();
#endif
	fatInit(12, false);
	/* Call the user's main function */
	return(SDL_main(argc, argv));
}
