/* $Id$ */

/*
 * This file is part of OpenTTD.
 * OpenTTD is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2.
 * OpenTTD is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with OpenTTD. If not, see <http://www.gnu.org/licenses/>.
 */

#include "../../stdafx.h"
#include "../../fios.h"
#include "../../string_func.h"
#include <sys/iosupport.h>

void FiosGetDrives()
{
	for (int i = 3; i < STD_MAX; i++) {
		const devoptab_t *devops = devoptab_list[i];
		if (devops->dirStateSize > 0) {
			FiosItem *fios = _fios_items.Append();
			fios->type = FIOS_TYPE_DRIVE;
			fios->mtime = 0;
			snprintf(fios->name, lengthof(fios->name), "%s:/", devops->name);
			strecpy(fios->title, fios->name, lastof(fios->title));
		}
	}
}

#if defined(WII)
#include <ogc/conf.h>
#include <ogc/wiilaunch.h>

void OSOpenBrowser(const char *url)
{
	WII_OpenURL(url);
}

const char *GetCurrentLocale(const char *param)
{
	static const char * const locale[] = { "ja_JP", "en_GB", "de_DE", "fr_FR", "es_ES", "it_IT", "nl_NL", "zh_CN", "zh_TW", "ko_KR" };
	int res = CONF_GetLanguage();

	if (res > CONF_LANG_KOREAN || res < 0)
		return NULL;

	return locale[res];
}
#endif

uint GetCPUCoreCount()
{
	return 1;
}
